package ru.landgrafhomyak.serdha.api.v0.dml

import ru.landgrafhomyak.serdha.api.v0.Expression
import ru.landgrafhomyak.serdha.api.v0.ddl.types.ColumnType

public interface SelectCreator<QueryUserExtension : Any> : _CommonQueryMethods<QueryUserExtension>, _CommonQueryMethods._Returning<QueryUserExtension>{
	public fun where(expression: Expression<Boolean, ColumnType.BOOLEAN, QueryUserExtension>)

	public fun limit(size: UInt)

	@Suppress("SpellCheckingInspection")
	public fun offsetedLimit(offset: ULong, size: UInt)
}